# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate fatfs

Name:           rust-fatfs
Version:        0.3.6
Release:        %autorelease
Summary:        FAT filesystem library

License:        MIT
URL:            https://crates.io/crates/fatfs
Source:         %{crates_source}
Source:         https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat12.img
Source:         https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat16.img
Source:         https://github.com/rafalh/rust-fatfs/raw/v%{version}/resources/fat32.img
# Manually created patch for downstream crate metadata changes
# * drop unused optional core_io dependency
Patch:          fatfs-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FAT filesystem library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/TODO.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
%if %{with check}
mkdir resources
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} resources/
%endif

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch armv7hl %{ix86}
# * skip tests that cause integer overflow on 32-bit architectures
%cargo_test -- -- --skip test_format_512mb_512sec --skip test_format_empty_volume_label --skip test_format_volume_label_and_id
%else
%cargo_test
%endif
%endif

%changelog
%autochangelog
